package abstractcollection;

/**
 * Title:
 * Description:
 * Copyright:    Copyright (c) 2000
 * Company:      Joller-Voss GmbH
 * @author J.M.Joller
 * @version 1.0
 */

import java.util.*;

public class Main {
    public static void main(String[] args) {
        Collection col = new FixedCol(3);

        System.out.println(col.add("dog"));     // true
        System.out.println(col.add("dog"));     // true
        System.out.println(col.add("cat"));     // true
        System.out.println(col);                // [dog, dog, cat]

        // Collection ist voll
        // System.out.println(col.add("pig"));  // IllegalStateException

        System.out.println(col.remove("pig"));  // false
        System.out.println(col.remove("dog"));  // true
        System.out.println(col.remove("dog"));  // true
        System.out.println(col);                // [cat]
    }
}
