package enumeration;

/**
 * Title:
 * Description:
 * Copyright:    Copyright (c) 2000
 * Company:      Joller-Voss GmbH
 * @author J.M.Joller
 * @version 1.0
 */
import java.util.*;

public class Main {
    public static void main(String[] args) {
//
        List l = new ArrayList(Arrays.asList(new String[]{"dog", "cat", "yak"}));
        for (Enumeration e=Collections.enumeration(l); e.hasMoreElements(); ) {
            System.out.print( e.nextElement() +"  ");    // dog cat yak
        }
        System.out.println();

        Map m = new HashMap();
        m.put("dog", null);
        m.put("cat", null);
        m.put("yak", null);
        for (Enumeration e=Collections.enumeration(m.keySet());
                e.hasMoreElements(); ) {
            System.out.print( e.nextElement()+" " );    // cat dog yak
        }
//
    }
}