package synchronizedcollection;

/**
 * Title:
 * Description:
 * Copyright:    Copyright (c) 2000
 * Company:      Joller-Voss GmbH
 * @author J.M.Joller
 * @version 1.0
 */

import java.util.*;

public class Main {
    public static void main(String[] args) {
        // c ist unsynchronized, diese 3 Zeilen wrden zu einer
        // ConcurrentModificationException fhren
        // Collection c = new ArrayList();
        // new Writer(c).start();
        // new Reader(c).start();

        // sc ist synchronized
        Collection sc = Collections.synchronizedCollection(new ArrayList());
        new Writer(sc).start();
        new Reader(sc).start();
    }
}
