package timertask;

/**
 * Title:
 * Description:
 * Copyright:    Copyright (c) 2000
 * Company:      Joller-Voss GmbH
 * @author J.M.Joller
 * @version 1.0
 */
import java.util.*;
import java.util.TimerTask;
import java.util.Date;

public class JVMMemory {
  public static void main(String[] args) {
    long start = System.currentTimeMillis();
    System.out.println("Kreieren des Timers");
    Timer timer = new Timer(true);
    System.out.println("Scheduling der Task");
    System.out.println(new Date()+": ");
    Runtime rt = Runtime.getRuntime();
    System.out.print(rt.freeMemory()+" frei,");
    System.out.print(rt.totalMemory()+ " total");
    System.out.println("\n-------------------------------------");
    timer.scheduleAtFixedRate(new MemoryWatchTask(), 0, 1000);
    try {
      Thread.sleep(1000);
    } catch(Exception e) { }
  }
}