package einfhrendesbeispiel;

/**
 * Title:
 * Description:
 * Copyright:    Copyright (c) 2000
 * Company:      Joller-Voss GmbH
 * @author J.M.Joller
 * @version 1.0
 */
import java.util.*;
import java.text.*;

public class DateFormatAnpassungen {
   static public void changeWeekDays() {

      Date today;
      String result;
      SimpleDateFormat formatter;
      DateFormatSymbols symbols, moreSymbols;
      String[] defaultDays;
      String[] modifiedDays;
      String[] moreDays;

      symbols = new DateFormatSymbols(new Locale("en","US"));
      moreSymbols = new DateFormatSymbols(new Locale("de","DE"));
      defaultDays = symbols.getShortWeekdays();
      moreDays = moreSymbols.getShortWeekdays();

      for (int i = 0; i < defaultDays.length; i++) {
         System.out.print(defaultDays[i] + "  ");
      }
      System.out.println();

      String[] capitalDays = {
         "", "SUN", "MON", "TUE", "WED", "THU", "FRI", "SAT"};
      symbols.setShortWeekdays(capitalDays);

      modifiedDays = symbols.getShortWeekdays();
      for (int i = 0; i < modifiedDays.length; i++) {
         System.out.print(modifiedDays[i] + "  ");
      }
      System.out.println();

      for (int i=0; i< moreDays.length; i++)
        System.out.print(moreDays[i]+"  ");
      System.out.println();

      formatter = new SimpleDateFormat("E", symbols);
      today = new Date();
      result = formatter.format(today);
      System.out.println(result);
   }

   static public void main(String[] args) {
      changeWeekDays();
   }
}
