package einfhrendesbeispiel;

/**
 * Title:
 * Description:
 * Copyright:    Copyright (c) 2000
 * Company:      Joller-Voss GmbH
 * @author J.M.Joller
 * @version 1.0
 */
import java.util.*;

public class ListResourceBundleBeispiel {
   static void displayValues(Locale currentLocale) {

      ResourceBundle stats =
         ResourceBundle.getBundle("StatsBundle",currentLocale);

      Integer gdp = (Integer)stats.getObject("GDP");
      System.out.println("Bruttosozialprodukt = " + gdp.toString());
      Integer pop = (Integer)stats.getObject("Population");
      System.out.println("Bevlkerung = " + pop.toString());
      Double lit = (Double)stats.getObject("Literacy");
      System.out.println("Lese- und Schreibfhigkeit [Analphabetismusindex] = " + lit.toString());

   } // displayValues

   static public void main(String[] args) {

      Locale[] supportedLocales = {
         new Locale("en","CA"),
         new Locale("ja","JP"),
         new Locale("fr","FR")
      };

      for (int i = 0; i < supportedLocales.length; i ++) {
         System.out.println("Locale = " + supportedLocales[i]);
         displayValues(supportedLocales[i]);
         System.out.println();
      }

   } // main

} // class
