package abstractsequentiallist;

/**
 * Title:
 * Description:
 * Copyright:    Copyright (c) 2000
 * Company:      Joller-Voss GmbH
 * @author J.M.Joller
 * @version 1.0
 */

import java.util.*;

public class Main {
    public static void main(String[] args) {
        List list = new SimpleLinkedList();

        // Test the list.
        list.add("dog");
        list.add("cat");
        list.remove("dog");
        list.add("pig");
        System.out.println( list );    // [cat, pig]
        list.set(list.size()-1, "dog");
        System.out.println( list );    // [cat, dog]

        //  backwards
        for (ListIterator it=list.listIterator(list.size());
            it.hasPrevious(); ) {
            System.out.println( it.previous() );
        }    // dog cat

        // Modifikation solange der Iterator aktiv ist
        Iterator it = list.iterator();
        list.remove("cat");
        System.out.println("\n\n jetzt crashed das Programm");
        it.next();                     // ConcurrentModificationException
    }
}
