package abstractset;

/**
 * Title:
 * Description:
 * Copyright:    Copyright (c) 2000
 * Company:      Joller-Voss GmbH
 * @author J.M.Joller
 * @version 1.0
 */

import java.util.*;

public class Main {
    public static void main(String[] args) {
        Set set = new FixedSet(2);

        System.out.println(set.add("dog"));     // true
        System.out.println(set.add("cat"));     // true
        System.out.println(set);                // [dog, cat]

        // The set is full
        // System.out.println(set.add("pig"));  // IllegalStateException

        // Add an identical element
        System.out.println(set.add("dog"));     // false
        System.out.println(set);                // [dog, cat]

        // Remove some elements.
        System.out.println(set.remove("pig"));  // false
        System.out.println(set.remove("cat"));  // true
        System.out.println(set);                // [dog]
    }
}
