package andnot;

/**
 * Title:
 * Description:
 * Copyright:    Copyright (c) 2000
 * Company:      Joller-Voss GmbH
 * @author J.M.Joller
 * @version 1.0
 */

import java.util.*;

public class Main {
    public static void main(String[] args) {
        BitSet bs1 = new BitSet();
        bs1.set(0);
        bs1.set(2);
        print(bs1);            // 101

        BitSet bs2 = new BitSet();
        bs2.set(0);

        bs1.andNot(bs2);       // 100
        print(bs1);
    }

    public static void print(BitSet bs) {
        for (int i=bs.length()-1; i >= 0; i--) {
            System.out.print(bs.get(i) ? "1" : "0");
        }
        System.out.println();
    }
}
