package reverseorder;

/**
 * Title:
 * Description:
 * Copyright:    Copyright (c) 2000
 * Company:      Joller-Voss GmbH
 * @author J.M.Joller
 * @version 1.0
 */

import java.util.*;

public class Main {
    public static void main(String[] args) {
//
        List l = Arrays.asList(new String[]{"dog", "pig", "cat"});
        System.out.println( Collections.min(l, Collections.reverseOrder()) );
                                                // pig

        Map m = new TreeMap(Collections.reverseOrder());
        m.put("cat", null);
        m.put("pig", null);
        m.put("dog", null);
        System.out.println( m );                // {pig=null, dog=null, cat=null}

        Set s = new TreeSet(Collections.reverseOrder());
        s.add("cat");
        s.add("pig");
        s.add("dog");
        System.out.println( s );                // [pig, dog, cat]
//
    }
}