package unmodifiablelist;

/**
 * Title:
 * Description:
 * Copyright:    Copyright (c) 2000
 * Company:      Joller-Voss GmbH
 * @author J.M.Joller
 * @version 1.0
 */

import java.util.*;

public class Main {
    public static void main(String[] args) {
//
        List l = new ArrayList(Arrays.asList(new String[]{"dog", "cat"}));
        List rol = Collections.unmodifiableList(l);

        //rol.add("pig");                          // UnsupportedOperationException
        //rol.remove("cat");                       // UnsupportedOperationException

        // Modify l and check for change in rom.
        l.add("pig");
        System.out.println( new ArrayList(rol) );  // [dog, cat, pig]

        System.out.println( l.equals(rol) );                     // true
        System.out.println( l.hashCode() == rol.hashCode() );    // true
//
    }
}