package unmodifiablemap;

/**
 * Title:
 * Description:
 * Copyright:    Copyright (c) 2000
 * Company:      Joller-Voss GmbH
 * @author J.M.Joller
 * @version 1.0
 */

import java.util.*;

public class Main {
    public static void main(String[] args) {
//
        Map m = new HashMap();
        m.put("dog", null);
        m.put("cat", null);
        Map rom = Collections.unmodifiableMap(m);

        //rom.put("pig", null);                  // UnsupportedOperationException
        //rom.remove("cat");                     // UnsupportedOperationException

        // Modify m und check in rom.
        m.put("pig", null);
        System.out.println( new HashMap(rom) );  // {dog=null, cat=null, pig=null}

        System.out.println( m.equals(rom) );                     // true
        System.out.println( m.hashCode() == rom.hashCode() );    // true
//
    }
}