package unmodifiableset;

/**
 * Title:
 * Description:
 * Copyright:    Copyright (c) 2000
 * Company:      Joller-Voss GmbH
 * @author J.M.Joller
 * @version 1.0
 */

import java.util.*;

public class Main {
    public static void main(String[] args) {
//
        Set s = new HashSet(Arrays.asList(new String[]{"dog", "cat"}));
        Set ros = Collections.unmodifiableSet(s);

        //ros.add("pig");                        // UnsupportedOperationException
        //ros.remove("cat");                     // UnsupportedOperationException

        // Modify s and check for change in rom.
        s.add("pig");
        System.out.println( new HashSet(ros) );  // [dog, cat, pig]

        System.out.println( s.equals(ros) );                     // true
        System.out.println( s.hashCode() == ros.hashCode() );    // true
//
    }
}